curl "https://api.scanova.io/custom-domain/42/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a"
{
"id": 42,
"domain": "https://links.example.com",
"is_default": false,
"disable_slug_case": false,
"txt_value": "scanova-verification=abc123...",
"is_txt_verified": true,
"is_cname_verified": true,
"is_migrated": false,
"dns_provider": { "name": "Cloudflare", "placeholders": { "cname": { "content": { "label": "Target" } } } },
"txt_error": null,
"cname_error": null,
"root_action": "no_action",
"redirect": null,
"template": null,
"protocol": "https",
"remove_qr_query": false,
"cname_target": "shortcname.scanova.io",
"domain_connect_supported": false,
"domain_connect_checked_at": null,
"created": "2026-09-08T10:00:00Z",
"modified": "2026-09-08T10:00:00Z"
}
Benutzerdefinierte Domains
Benutzerdefinierte Domain abrufen
GET /custom-domain//
GET
/
custom-domain
/
{pk}
/
curl "https://api.scanova.io/custom-domain/42/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a"
{
"id": 42,
"domain": "https://links.example.com",
"is_default": false,
"disable_slug_case": false,
"txt_value": "scanova-verification=abc123...",
"is_txt_verified": true,
"is_cname_verified": true,
"is_migrated": false,
"dns_provider": { "name": "Cloudflare", "placeholders": { "cname": { "content": { "label": "Target" } } } },
"txt_error": null,
"cname_error": null,
"root_action": "no_action",
"redirect": null,
"template": null,
"protocol": "https",
"remove_qr_query": false,
"cname_target": "shortcname.scanova.io",
"domain_connect_supported": false,
"domain_connect_checked_at": null,
"created": "2026-09-08T10:00:00Z",
"modified": "2026-09-08T10:00:00Z"
}
Ruft eine einzelne benutzerdefinierte Domain ab, auf dem Management-API-Host (
api.scanova.io), authentifiziert mit Ihrem rohen Management-API-Schlüssel.
GET https://api.scanova.io/custom-domain/{pk}/
Authorization: 401f7ac837da42b97f613d789819ff93537bee6a
integer
erforderlich
Die
id der Domain, aus Benutzerdefinierte Domains auflisten.curl "https://api.scanova.io/custom-domain/42/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a"
{
"id": 42,
"domain": "https://links.example.com",
"is_default": false,
"disable_slug_case": false,
"txt_value": "scanova-verification=abc123...",
"is_txt_verified": true,
"is_cname_verified": true,
"is_migrated": false,
"dns_provider": { "name": "Cloudflare", "placeholders": { "cname": { "content": { "label": "Target" } } } },
"txt_error": null,
"cname_error": null,
"root_action": "no_action",
"redirect": null,
"template": null,
"protocol": "https",
"remove_qr_query": false,
"cname_target": "shortcname.scanova.io",
"domain_connect_supported": false,
"domain_connect_checked_at": null,
"created": "2026-09-08T10:00:00Z",
"modified": "2026-09-08T10:00:00Z"
}
404, wenn pk keine Domain ist, die diesem Konto gehört.
Verwandte Themen
- Benutzerdefinierte Domains auflisten — die
idfinden. - Benutzerdefinierte Domain aktualisieren — ihr Root-Seiten-Verhalten oder Protokoll ändern.
- Benutzerdefinierte Domain entfernen — sie trennen.
- Übersicht über die Management API — das Authentifizierungsschema und die Quota-Regeln für diesen Endpunkt.
Autorisierungen
Send your Management API key as the raw value of the Authorization header — no "Bearer " or "Token " prefix, and no other characters. Example: Authorization: 401f7ac837da42b97f613d789819ff93537bee6a. A header containing more than one space-separated part is rejected outright. Requests also require the request's Host header to be the management API host (e.g. api.scanova.io) — the same key sent to the regular API host will not authenticate.
Pfadparameter
Antwort
One custom domain.
War diese Seite hilfreich?